#
# spec file for package ed (Version 0.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ed
Copyright:    GPD
Group:        Applications/Editors
Provides:     ed
Autoreqprov:  on
Version:      0.2
Release:      390
Summary:      Standard old un*x line editor
Source: ed-0.2.tar.gz
Patch:  ed-0.2.dif
Patch1: ed-0.2-tmpfile.patch

%description
Standard old un*x line editor

Authors:
--------
    Andrew Moore <alm@worm.talke.org>

SuSE series: ap

%prep
%setup
%patch -P 0 -p0 -b .dif
%patch -P 1 -p0 -b .tmpfile
    rm -f regex.*
    CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr

%build
    make

%install
    make install
    rm -f /bin/ed
    mv /usr/bin/ed /bin/ed
    ln -s /bin/ed /usr/bin/ed

%files
/bin/ed
/usr/bin/ed
/usr/bin/red
%doc %{_infodir}/ed.info.gz
%doc %{_mandir}/man1/ed.1.gz
%doc %{_mandir}/man1/red.1.gz

%changelog -n ed
* Tue Dec 19 2000 - werner@suse.de
- Close temporary file security hole
* Fri Feb 25 2000 - kukuk@suse.de
- Use RPM_OPT_FLAGS
- Move /usr/{info,man} -> /usr/share/{info,man}
* Sat Nov 06 1999 - bs@suse.de
- moved binary to /bin/ed and provide symlink /usr/bin/ed
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
